### DB_MPOOLFILE->set_clear_len |

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_clear_len(DB_MPOOLFILE *mpf, u_int32_t len);

    int
    DB_MPOOLFILE->get_clear_len(DB_MPOOLFILE *mpf, u_int32_t *lenp);

### Description: DB_MPOOLFILE->set_clear_len

The DB_MPOOLFILE->set_clear_len method sets the number of initial bytes in a page that should be set to nul when the page is created as a result of the DB_MPOOL_CREATE or DB_MPOOL_NEW flags being specified to DB_MPOOLFILE->get. If no clear length is specified, the entire page is cleared when it is created.

The DB_MPOOLFILE->set_clear_len method configures a file in the memory pool, not only operations performed using the specified DB_MPOOLFILE handle.

The DB_MPOOLFILE->set_clear_len method may not be called after the DB_MPOOLFILE->open method is called. If the file is already open in the memory pool when DB_MPOOLFILE->open is called, the information specified to DB_MPOOLFILE->set_clear_len must be consistent with the existing file or an error will be returned.

The DB_MPOOLFILE->set_clear_len method returns a non-zero error value on failure and 0 on success.

### Parameters

len
  The len parameter is the number of initial bytes in a page that should be set to nul when the page is created. A value of 0 results in the entire page being set to nul bytes.

### Description: DB_MPOOLFILE->get_clear_len

The DB_MPOOLFILE->get_clear_len method returns the bytes to be cleared.

The DB_MPOOLFILE->get_clear_len method may be called at any time during the life of the application.

The DB_MPOOLFILE->get_clear_len method returns a non-zero error value on failure and 0 on success.

### Parameters

lenp
  The DB_MPOOLFILE->get_clear_len method returns the bytes to be cleared in lenp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.